feat: More fedora set up tweaks

This commit is contained in:
2025-11-07 07:50:03 +00:00
parent 7250bab519
commit f2912fbfa1
2 changed files with 42 additions and 28 deletions
+37 -26
View File
@@ -9,6 +9,32 @@
# chmod +x fedora-setup.sh # chmod +x fedora-setup.sh
# sudo ./fedora-setup.sh # sudo ./fedora-setup.sh
# ------------------------------------------------------------ # ------------------------------------------------------------
# list all packages we want from dnf
package_list=(
"kitty"
"fastfetch"
"zsh"
"btop"
"steam"
"code"
"just"
)
# list all the platpaks we want to install
flatpacks_to_install=(
"com.discordapp.Discord"
"com.spotify.Client"
"app.zen_browser.zen"
)
# list all the folders we want to link from our dotifles foler to our .config folder
folders_to_link=(
# "alacritty"
"git"
"zsh"
"kitty"
"starship.toml"
)
# -------------------------------------------------
set -euo pipefail # safer shell behaviour set -euo pipefail # safer shell behaviour
shopt -s expand_aliases # if you use aliases inside the script shopt -s expand_aliases # if you use aliases inside the script
@@ -24,16 +50,9 @@ sudo dnf install \
https://mirrors.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$(rpm -E %fedora).noarch.rpm \ https://mirrors.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$(rpm -E %fedora).noarch.rpm \
-y -y
# list all packages we want from dnf # prep for vs-code install
package_list=( sudo rpm --import https://packages.microsoft.com/keys/microsoft.asc
"kitty" echo -e "[code]\nname=Visual Studio Code\nbaseurl=https://packages.microsoft.com/yumrepos/vscode\nenabled=1\nautorefresh=1\ntype=rpm-md\ngpgcheck=1\ngpgkey=https://packages.microsoft.com/keys/microsoft.asc" | sudo tee /etc/yum.repos.d/vscode.repo > /dev/null
"fastfetch"
"zsh"
"btop"
"steam"
"code"
"just"
)
# Create a string of packages # Create a string of packages
package_string=$(IFS=' ' ; echo "${package_list[@]}") package_string=$(IFS=' ' ; echo "${package_list[@]}")
@@ -49,13 +68,12 @@ if ! command -v flatpak &>/dev/null; then
fi fi
echo "==> Adding Flathub repository..." echo "==> Adding Flathub repository..."
flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo sudo flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
flatpack_string=$(IFS=' ' ; echo "${flatpacks_to_install[@]}")
# 6. Install Flatpak Apps # 6. Install Flatpak Apps
echo "==> Installing Discord..." echo "==> Installing Discord..."
flatpak install -y flathub com.discordapp.Discord flatpak install -y flathub $flatpack_string
flatpak install -y flathub com.spotify.Client
flatpak install -y flathub app.zen_browser.zen
# 7. Install stuff from around the web that we want # 7. Install stuff from around the web that we want
# UV for Python Dev # UV for Python Dev
@@ -71,13 +89,6 @@ curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh
curl -sS https://starship.rs/install.sh | sh curl -sS https://starship.rs/install.sh | sh
# sim link config # sim link config
folders_to_link=(
# "alacritty"
"git"
"zsh"
"kitty"
"starship.toml" # not a folder, but should still work
)
for folder in "${folders_to_link[@]}"; do for folder in "${folders_to_link[@]}"; do
config_path="$HOME/dotfiles/$folder" config_path="$HOME/dotfiles/$folder"
target_path="$HOME/.config/$folder" target_path="$HOME/.config/$folder"
@@ -89,17 +100,17 @@ ln -s $HOME/dotfiles/git/gitconfig $HOME/.gitconfig
ln -s $HOME/dotfiles/.justfile $HOME/.justfile ln -s $HOME/dotfiles/.justfile $HOME/.justfile
# untested zshrc sym link # untested zshrc sym link
sudo rm /etc/zshrc sudo rm -f /etc/zshrc
sudo ln -s /etc/zshrc $HOME/dotfiles/zsh/.zshrc sudo ln -s /etc/zshrc $HOME/dotfiles/zsh/.zshrc
# nvim set up likely needs work # nvim set up likely needs work
# git clone https://github.com/Jake-Pullen/kickstart.nvim.git $HOME/.config/nvim git clone https://github.com/Jake-Pullen/kickstart.nvim.git $HOME/.config/nvim
chsh -s /bin/zsh
# 9. Clean up (optional) # 9. Clean up (optional)
echo "==> Cleaning up package cache..." echo "==> Cleaning up package cache..."
sudo dnf clean all sudo dnf clean all
echo "====================================================" echo "===================================================="
echo "All done! Your Fedora system is now ready to go." echo "All done! Give the system a reboot!"
echo "You can run 'flatpak list' to see Flatpak apps or 'dnf list installed' for rpm packages."
+5 -2
View File
@@ -1,9 +1,12 @@
# first remove the old lm studio (keeping one old version copy) # first remove the old lm studio (keeping one old version copy)
echo Removing old backup
rm -f ~/AppImages/LM-Studio.AppImage.old
rm ~/AppImages/LM-Studio.AppImage.old echo Making new backup
mv ~/AppImages/LM-Studio.AppImage ~/AppImages/LM-Studio.AppImage.old mv ~/AppImages/LM-Studio.AppImage ~/AppImages/LM-Studio.AppImage.old
echo Bringing in new App
mv ~/Downloads/LM-Studio*.AppImage ~/AppImages/LM-Studio.AppImage mv ~/Downloads/LM-Studio*.AppImage ~/AppImages/LM-Studio.AppImage
echo Making it executable
chmod +x ~/AppImages/LM-Studio.AppImage chmod +x ~/AppImages/LM-Studio.AppImage